Run a workflow manually
POST
/automation/{id}/run
409s if unpublished, disabled or paused. M7: input is checked against the input_schema first (400 run_input_invalid with issues). An Idempotency-Key header or trigger_key body field makes the start idempotent: a repeat answers the original run with replayed: true.
Path Parameters
idstring
required·
Resource id
Request Body
inputobject
trigger_keystring
curl -X POST 'https://api.elaichi.ai/automation/<id>/run' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"input":{},"trigger_key":"your_trigger_key"}'const body = {
"input": {},
"trigger_key": "your_trigger_key"
};
const response = await fetch('https://api.elaichi.ai/automation/<id>/run', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/run"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"input": {},
"trigger_key": "your_trigger_key"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())